hpp-python: pyhpp::core::pathOptimization::SGBWrapper< _PolynomeBasis, _Order > Class Template Reference

hpp-python 9.0.2 python bindings for HPP, based on boost python

Public Types | Public Member Functions | List of all members
pyhpp::core::pathOptimization::SGBWrapper< _PolynomeBasis, _Order > Class Template Reference
Inheritance diagram for pyhpp::core::pathOptimization::SGBWrapper< _PolynomeBasis, _Order >:
[legend]
Collaboration diagram for pyhpp::core::pathOptimization::SGBWrapper< _PolynomeBasis, _Order >:
[legend]

## Public Types
typedef SplineGradientBasedAbstract< _PolynomeBasis, _Order > | Base
typedef Base::Splines_t | Splines_t
typedef Base::Reports_t | Reports_t
typedef Base::SplineOptimizationData | SplineOptimizationData
typedef Base::SplineOptimizationDatas_t | SplineOptimizationDatas_t
Public Types inherited from hpp::core::pathOptimization::SplineGradientBasedAbstract< _PolynomeBasis, _Order >
typedef path::Spline< PolynomeBasis, SplineOrder > | Spline
typedef Spline::Ptr_t | SplinePtr_t
typedef std::vector< SplinePtr_t > | Splines_t

## Public Member Functions
| SGBWrapper (const ProblemConstPtr_t &p)
virtual | ~SGBWrapper ()
PathVectorPtr_t | optimize (const PathVectorPtr_t &path)
void | appendEquivalentSpline (const PathVectorPtr_t &pv, Splines_t &ss) const
void | initializePathValidation (const Splines_t &splines)
Reports_t | validatePath (const Splines_t &splines, std::vector< std::size_t > &reordering, bool stopAtFirst, bool reorder) const
void | jointBoundConstraint (const Splines_t &splines, LinearConstraint &lc) const
void | addContinuityConstraints (const Splines_t &splines, const size_type maxOrder, const SplineOptimizationDatas_t &ess, LinearConstraint &continuity)
PathVectorPtr_t | buildPathVector (const Splines_t &splines) const
void | updateParameters (vectorRef_t param, const Splines_t &spline) const
Public Member Functions inherited from hpp::core::pathOptimization::SplineGradientBasedAbstract< _PolynomeBasis, _Order >
void | updateSplines (Splines_t &spline, const vector_t &param) const
void | updateParameters (vector_t &param, const Splines_t &spline) const
Public Member Functions inherited from hpp::core::PathOptimizer
virtual | ~PathOptimizer ()
ProblemConstPtr_t | problem () const
virtual PathVectorPtr_t | optimize (const PathVectorPtr_t &path)=0
void | interrupt ()
void | maxIterations (const unsigned long int &n)
void | timeOut (const double &timeOut)

## Additional Inherited Members
Static Public Member Functions inherited from hpp::core::pathOptimization::SplineGradientBasedAbstract< _PolynomeBasis, _Order >
static void | copy (const Splines_t &in, Splines_t &out)
static void | interpolate (const Splines_t &a, const Splines_t &b, const value_type &alpha, Splines_t &res)
Public Attributes inherited from hpp::core::pathOptimization::SplineGradientBasedAbstract< _PolynomeBasis, _Order >
| PolynomeBasis
| SplineOrder
Public Attributes inherited from hpp::core::PathOptimizer
bool | enabled
size_type | iteration
boost::posix_time::ptime | timeStart
Protected Types inherited from hpp::core::pathOptimization::SplineGradientBasedAbstract< _PolynomeBasis, _Order >
typedef steeringMethod::Spline< PolynomeBasis, SplineOrder > | SSM_t
typedef std::vector< std::pair< PathValidationReportPtr_t, std::size_t > > | Reports_t
typedef Eigen::RowBlockIndices | RowBlockIndices
typedef std::vector< bool > | Bools_t
typedef std::vector< size_type > | Indices_t
typedef std::vector< SplineOptimizationData > | SplineOptimizationDatas_t
Protected Member Functions inherited from hpp::core::pathOptimization::SplineGradientBasedAbstract< _PolynomeBasis, _Order >
| SplineGradientBasedAbstract (const ProblemConstPtr_t &problem)
PathVectorPtr_t | buildPathVector (const Splines_t &splines) const
void | appendEquivalentSpline (const StraightPathPtr_t &path, Splines_t &splines) const
void | appendEquivalentSpline (const InterpolatedPathPtr_t &path, Splines_t &splines) const
void | appendEquivalentSpline (const PathVectorPtr_t &path, Splines_t &splines) const
virtual void | initializePathValidation (const Splines_t &splines)
Reports_t | validatePath (const Splines_t &splines, std::vector< std::size_t > &reordering, bool stopAtFirst, bool reorder) const
void | jointBoundConstraint (const Splines_t &splines, LinearConstraint &lc) const
std::size_t | addBoundConstraints (const Indices_t &bci, const LinearConstraint &bc, Bools_t &activeConstraint, LinearConstraint &constraint) const
Indices_t | validateBounds (const Splines_t &splines, const LinearConstraint &lc) const
void | addContinuityConstraints (const Splines_t &splines, const size_type maxOrder, const SplineOptimizationDatas_t &ess, LinearConstraint &continuity)
Protected Member Functions inherited from hpp::core::PathOptimizer
| PathOptimizer (const ProblemConstPtr_t &problem)
PathPtr_t | steer (ConfigurationIn_t q1, ConfigurationIn_t q2) const
void | monitorExecution ()
void | endIteration ()
bool | shouldStop () const
void | initFromParameters ()
Static Protected Member Functions inherited from hpp::core::pathOptimization::SplineGradientBasedAbstract< _PolynomeBasis, _Order >
static PathVectorPtr_t | cleanInput (const PathVectorPtr_t &input)
Protected Attributes inherited from hpp::core::pathOptimization::SplineGradientBasedAbstract< _PolynomeBasis, _Order >
DevicePtr_t | robot_
SSM_t::Ptr_t | steeringMethod_
std::vector< PathValidationPtr_t > | validations_
Protected Attributes inherited from hpp::core::PathOptimizer
bool | interrupt_

## Member Typedef Documentation

## ◆ Base

template<int _PolynomeBasis, int _Order>

typedef SplineGradientBasedAbstract<_PolynomeBasis, _Order> pyhpp::core::pathOptimization::SGBWrapper< _PolynomeBasis, _Order >::Base

## ◆ Reports_t

template<int _PolynomeBasis, int _Order>

typedef Base::Reports_t pyhpp::core::pathOptimization::SGBWrapper< _PolynomeBasis, _Order >::Reports_t

## ◆ SplineOptimizationData

template<int _PolynomeBasis, int _Order>

typedef Base::SplineOptimizationData pyhpp::core::pathOptimization::SGBWrapper< _PolynomeBasis, _Order >::SplineOptimizationData

## ◆ SplineOptimizationDatas_t

template<int _PolynomeBasis, int _Order>

typedef Base::SplineOptimizationDatas_t pyhpp::core::pathOptimization::SGBWrapper< _PolynomeBasis, _Order >::SplineOptimizationDatas_t

## ◆ Splines_t

template<int _PolynomeBasis, int _Order>

typedef Base::Splines_t pyhpp::core::pathOptimization::SGBWrapper< _PolynomeBasis, _Order >::Splines_t

## Constructor & Destructor Documentation

## ◆ SGBWrapper()

template<int _PolynomeBasis, int _Order>

pyhpp::core::pathOptimization::SGBWrapper< _PolynomeBasis, _Order >::SGBWrapper | ( | const ProblemConstPtr_t & | p | ) |
| inline

## ◆ ~SGBWrapper()

template<int _PolynomeBasis, int _Order>

virtual pyhpp::core::pathOptimization::SGBWrapper< _PolynomeBasis, _Order >::~SGBWrapper | ( |  | ) |
| inlinevirtual

## Member Function Documentation

## ◆ addContinuityConstraints()

template<int _PolynomeBasis, int _Order>

void pyhpp::core::pathOptimization::SGBWrapper< _PolynomeBasis, _Order >::addContinuityConstraints | ( | const Splines_t & | splines,
|  | const size_type | maxOrder,
|  | const SplineOptimizationDatas_t & | ess,
|  | LinearConstraint & | continuity
| ) |  |
| inline

## ◆ appendEquivalentSpline()

template<int _PolynomeBasis, int _Order>

void pyhpp::core::pathOptimization::SGBWrapper< _PolynomeBasis, _Order >::appendEquivalentSpline | ( | const PathVectorPtr_t & | pv,
|  | Splines_t & | ss
| ) |  | const
| inline

## ◆ buildPathVector()

template<int _PolynomeBasis, int _Order>

PathVectorPtr_t pyhpp::core::pathOptimization::SGBWrapper< _PolynomeBasis, _Order >::buildPathVector | ( | const Splines_t & | splines | ) | const
| inline

## ◆ initializePathValidation()

template<int _PolynomeBasis, int _Order>

void pyhpp::core::pathOptimization::SGBWrapper< _PolynomeBasis, _Order >::initializePathValidation | ( | const Splines_t & | splines | ) |
| inlinevirtual

Reimplemented from hpp::core::pathOptimization::SplineGradientBasedAbstract< _PolynomeBasis, _Order >.

## ◆ jointBoundConstraint()

template<int _PolynomeBasis, int _Order>

void pyhpp::core::pathOptimization::SGBWrapper< _PolynomeBasis, _Order >::jointBoundConstraint | ( | const Splines_t & | splines,
|  | LinearConstraint & | lc
| ) |  | const
| inline

## ◆ optimize()

template<int _PolynomeBasis, int _Order>

PathVectorPtr_t pyhpp::core::pathOptimization::SGBWrapper< _PolynomeBasis, _Order >::optimize | ( | const PathVectorPtr_t & | path | ) |
| inlinevirtual

Implements hpp::core::PathOptimizer.

## ◆ updateParameters()

template<int _PolynomeBasis, int _Order>

void pyhpp::core::pathOptimization::SGBWrapper< _PolynomeBasis, _Order >::updateParameters | ( | vectorRef_t | param,
|  | const Splines_t & | spline
| ) |  | const
| inline

## ◆ validatePath()

template<int _PolynomeBasis, int _Order>

Reports_t pyhpp::core::pathOptimization::SGBWrapper< _PolynomeBasis, _Order >::validatePath | ( | const Splines_t & | splines,
|  | std::vector< std::size_t > & | reordering,
|  | bool | stopAtFirst,
|  | bool | reorder
| ) |  | const
| inline

The documentation for this class was generated from the following file:

- src/pyhpp/core/path_optimization/spline-gradient-based-abstract.cc